public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yuta SATOH" <nigoro.gentoo@0x100.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gentoo-bsd:master commit in: scripts/mkstages/
Date: Sat, 15 Nov 2014 16:31:48 +0000 (UTC)	[thread overview]
Message-ID: <1416068693.093a6ac384d993ca66e78607bfce91923d57395c.yuta_satoh@gentoo> (raw)

commit:     093a6ac384d993ca66e78607bfce91923d57395c
Author:     Yuta SATOH <nigoro <AT> gentoo <DOT> gr <DOT> jp>
AuthorDate: Sat Nov 15 16:24:53 2014 +0000
Commit:     Yuta SATOH <nigoro.gentoo <AT> 0x100 <DOT> com>
CommitDate: Sat Nov 15 16:24:53 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/gentoo-bsd.git;a=commit;h=093a6ac3

stages_builder.sh: Add the code to download clang stage3.

---
 scripts/mkstages/stages_builder.sh | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

diff --git a/scripts/mkstages/stages_builder.sh b/scripts/mkstages/stages_builder.sh
index a4eeff0..d95eb85 100755
--- a/scripts/mkstages/stages_builder.sh
+++ b/scripts/mkstages/stages_builder.sh
@@ -43,10 +43,21 @@ prepare(){
 		mkdir -p /var/tmp/catalyst/builds/default
 	fi
 
-	if [ ! -e "/var/tmp/catalyst/builds/default/stage3-${TARGETSUBARCH}-freebsd-${OLDVER}.tar.bz2" ] && [ -z "${FORCESTAGE3}" ]; then
-		echo "Downloading aballier's ${TARGETSUBARCH} stage3 file..."
-		wget -q -P /var/tmp/catalyst/builds/default http://dev.gentoo.org/~aballier/fbsd${OLDVER}/${TARGETARCH}/stage3-${TARGETSUBARCH}-freebsd-${OLDVER}.tar.bz2
-		[[ $? -ne 0 ]] && exit 1
+	if [ -z "${FORCESTAGE3}" ] ; then
+		if [ -z "${CLANG}" ] ; then
+			local oldstage3fn="stage3-${TARGETSUBARCH}-freebsd-${OLDVER}"
+			local oldstage3url="http://dev.gentoo.org/~aballier/fbsd${OLDVER}/${TARGETARCH}/${oldstage3fn}.tar.bz2"
+		else
+			local oldstage3fn="stage3-${TARGETSUBARCH}-clangfbsd-${OLDVER}"
+			local oldstage3url="http://dev.gentoo.org/~aballier/fbsd${OLDVER}/${TARGETARCH}/clang/${oldstage3fn}.tar.bz2"
+		fi
+
+		if [ ! -e "/var/tmp/catalyst/builds/default/${oldstage3fn}.tar.bz2" ] ; then
+			echo "Downloading aballier's ${TARGETSUBARCH} stage3 file..."
+			wget -q -P /var/tmp/catalyst/builds/default "${oldstage3url}"
+			[[ $? -ne 0 ]] && exit 1
+			export FORCESTAGE3="${oldstage3fn}"
+		fi
 	fi
 
 	cd ${WORKDIR}


             reply	other threads:[~2014-11-15 16:31 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-11-15 16:31 Yuta SATOH [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-12-09 22:29 [gentoo-commits] proj/gentoo-bsd:master commit in: scripts/mkstages/ Yuta SATOH
2017-12-09 22:29 Yuta SATOH
2017-12-07 13:39 Yuta SATOH
2017-12-07 13:39 Yuta SATOH
2017-12-07 13:39 Yuta SATOH
2015-07-13 12:38 Yuta SATOH
2015-07-12  7:55 Yuta SATOH
2015-07-12  7:49 Yuta SATOH
2015-07-12  4:43 Yuta SATOH
2015-07-12  4:43 Yuta SATOH
2015-07-11 23:32 Yuta SATOH
2015-02-13 11:27 Yuta SATOH
2015-02-12 15:09 Yuta SATOH
2014-11-16  7:44 Yuta SATOH
2014-11-15 16:31 Yuta SATOH
2014-10-29 12:16 Yuta SATOH
2014-10-28 12:03 Yuta SATOH
2013-08-29 13:46 Yuta SATOH
2013-07-29 11:41 Yuta SATOH
2013-06-23 14:20 Yuta SATOH
2013-03-09 16:20 Yuta SATOH
2012-12-29  9:16 Yuta SATOH
2012-12-24 14:26 Yuta SATOH
2012-12-12 11:34 Yuta SATOH
2012-12-11 13:21 Yuta SATOH
2012-11-23 13:06 Yuta SATOH
2012-11-22 14:32 Yuta SATOH
2012-11-22 12:26 Yuta SATOH
2012-10-13  9:33 Yuta SATOH
2012-10-12 15:25 Yuta SATOH
2012-10-06  7:13 Yuta SATOH
2012-08-25  1:24 Yuta SATOH
2012-08-03 13:58 Yuta SATOH

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1416068693.093a6ac384d993ca66e78607bfce91923d57395c.yuta_satoh@gentoo \
    --to=nigoro.gentoo@0x100.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox